---
schema_version: "1"
id: bab46997272eafe9a96f3b8bcc8b1dd706c641e754607814e1132604ff93fc34
title: FetchRequestOptions | @tableau/taco-toolkit - v2.1.0
collection: tableau
version: next
locale: en-us
portal_url: https://docs.salesforce.com/tableau/next/en-us/api/webdataconnector/reference/interfaces/handlers.FetchRequestOptions.md
canonical_url: https://help.tableau.com/v0.0/api/webdataconnector/en-us/reference/interfaces/handlers.FetchRequestOptions.html
source_site: help.tableau.com
content_type: documentation
content_hash: a16e2bdeb3ea276926e6d808d75ff7c7ce83aadee967de6bcdc3a69ac36c33de
description: Documentation for @tableau/taco-toolkit
---
- [@tableau/taco-toolkit](https://help.tableau.com/v0.0/api/webdataconnector/en-us/reference/index.html)
- [handlers](https://help.tableau.com/v0.0/api/webdataconnector/en-us/reference/modules/handlers.html)
- [FetchRequestOptions](https://help.tableau.com/v0.0/api/webdataconnector/en-us/reference/interfaces/handlers.FetchRequestOptions.html)

# Interface FetchRequestOptions

Request options for fetchJson and fetchArrayBuffer

#### Hierarchy

- RequestOptions
    - FetchRequestOptions

##### Index

### Properties

[body?](https://help.tableau.com/v0.0/api/webdataconnector/en-us/reference/interfaces/handlers.FetchRequestOptions.html#body) [headers?](https://help.tableau.com/v0.0/api/webdataconnector/en-us/reference/interfaces/handlers.FetchRequestOptions.html#headers) [method?](https://help.tableau.com/v0.0/api/webdataconnector/en-us/reference/interfaces/handlers.FetchRequestOptions.html#method) [query?](https://help.tableau.com/v0.0/api/webdataconnector/en-us/reference/interfaces/handlers.FetchRequestOptions.html#query)

## Properties

### `Optional` body[](#body)

body?: string | object

Request body.

When an object is provided for body, it will be serialized into JSON string by default. When application/x-www-form-urlencoded header is provided, the object will be serialized as query params.

### `Optional` headers[](#headers)

headers?: Record<string, unknown\>

Request headers. An object with key-value pair.

For a `undefined` value, the corresponding header will not be added to the request. For a non-string value, it will be serialized before being added as a header.

Inherited from RequestOptions.headers

### `Optional` method[](#method)

method?: "GET" | "POST"

HTTP method, GET or POST. Default value is GET.

### `Optional` query[](#query)

query?: Record<string, unknown\>

Query params. An object with key-value pair.

The object will be serialized as query string and appended to the url.

Inherited from RequestOptions.query

### Settings

#### Member Visibility

- Inherited

#### Theme

OSLightDark

### On This Page

- [body](#body)
- [headers](#headers)
- [method](#method)
- [query](#query)

Generated using [TypeDoc](https://typedoc.org/)